XerionModule = {};

function XerionModule.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function XerionModule:load(xmlFile)	
    self.numKotfluegel1 = Utils.getNoNil(getXMLInt(xmlFile, "vehicle.Kotfluegel1#count"), 0);
    self.Kotfluegel1 = {};
    for i=1, self.numKotfluegel1 do
        local Kotfluegelnamei = string.format("vehicle.Kotfluegel1.Kotfluegel" .. "%d", i);
        self.Kotfluegel1[i] = Utils.indexToObject(self.rootNode, getXMLInt(xmlFile, Kotfluegelnamei .. "#index"));
        setVisibility(self.Kotfluegel1[i], true);
    end;
    self.Kotfluegel1Active = true;
end;

function XerionModule:keyEvent(unicode, sym, modifier, isDown)
    if isDown and sym == Input.KEY_KP_4 or isDown and sym == Input.KEY_q then
		self.Kotfluegel1Active = not self.Kotfluegel1Active;
	end;
end;

function XerionModule:update(dt)
    if self.Kotfluegel1Active then
		for i=1, self.numKotfluegel1 do
			local Kotfluegel = self.Kotfluegel1[i];
			setVisibility(Kotfluegel, self.Kotfluegel1Active);
		end;
	else
		for i=1, self.numKotfluegel1 do
			local Kotfluegel = self.Kotfluegel1[i];
			setVisibility(Kotfluegel, self.Kotfluegel1Active, false);
		end;
	end;
end;

function XerionModule:onLeave()
end;

function XerionModule:draw()
    g_currentMission:addHelpButtonText(g_i18n:getText("Kotfluegel"), InputBinding.Kotfluegel); 
end;

function XerionModule:delete()
end;

function XerionModule:mouseEvent(posX, posY, isDown, isUp, button)
end;